<?php

class cDevolucioncliente{



	function mostrarUno($id){

		$sql="SELECT * FROM tb_devolucioncliente dc 

		inner join tb_venta v on v.tb_venta_id = dc.tb_documentomod_id

		inner join tb_ventapago vp on vp.tb_venta_id = v.tb_venta_id

		inner join tb_usuario u on u.tb_usuario_id = v.tb_usuario_id

		INNER JOIN tb_documento d ON v.tb_documento_id=d.tb_documento_id

		inner join tb_puntoventa pv on pv.tb_puntoventa_id = v.tb_puntoventa_id

		inner join tb_empresa em on em.tb_empresa_id = pv.tb_empresa_id

		INNER JOIN tb_cliente c ON v.tb_cliente_id=c.tb_cliente_id

		WHERE tb_devolucioncliente_id = '$id' ";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}

	

	function mostrarDetalles($id){

		$sql="SELECT * FROM tb_devolucionclientedetalle dcd

		inner join tb_marca m on m.tb_marca_id = dcd.tb_marca_id

		inner join tb_catalogo ct on ct.tb_catalogo_id = dcd.tb_catalogo_id

		INNER JOIN tb_presentacion pr ON pr.tb_presentacion_id = ct.tb_presentacion_id

		INNER JOIN tb_producto p ON p.tb_producto_id = pr.tb_producto_id

		WHERE tb_devolucioncliente_id = '$id' ";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}

	

	function insertar($uusureg,$fec,$numdoc,$tranom,$tracom,$obs1,$docmod_id,$docmod_numdoc,$docgen_id,$docgen_numdoc,$tot,$est,$obs2){

		$now =  date('Y-m-d h:i:s a');

		$sql = "INSERT INTO tb_devolucioncliente(

		`tb_devolucioncliente_reg` ,

		`tb_devolucioncliente_usureg` ,

		`tb_devolucioncliente_fec` ,

		`tb_devolucioncliente_numdoc` ,

		`tb_devolucioncliente_tranom` ,		

		`tb_devolucioncliente_tracom` ,		

		`tb_devolucioncliente_obs1` ,		

		`tb_documentomod_id`,

		`tb_documentomod_numdoc`,

		`tb_documentogen_id`,

		`tb_documentogen_numdoc`,

		`tb_devolucioncliente_tot`,

		`tb_devolucioncliente_est`,

		`tb_devolucioncliente_obs2`

		)

		VALUES('$now','$uusureg','$fec','$numdoc','$tranom','$tracom','$obs1','$docmod_id','$docmod_numdoc','$docgen_id','$docgen_numdoc','$tot','$est','$obs2')"; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}

	

	function insertardetalle($devid,$catcod,$catid,$marid,$can,$valuni){

		$sql = "INSERT INTO tb_devolucionclientedetalle(

		`tb_devolucioncliente_id`,

		`tb_catalogo_cod`,

		`tb_catalogo_id`,

		`tb_marca_id`,

		`tb_devolucionclientedetalle_can`,		

		`tb_devolucionclientedetalle_valuni`

		)

		VALUES('$devid','$catcod','$catid','$marid','$can','$valuni')"; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}



	

	function ultimoInsert(){

		$sql = "select max(tb_devolucioncliente_id) as 'id' from tb_devolucioncliente "; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}

	

	

	function modificar_campo($id,$campo,$valor){

		$now =  date('Y-m-d h:i:s a');

		$sql = "UPDATE tb_devolucioncliente SET

		`tb_devolucioncliente_$campo` =  '$valor' 

		WHERE tb_devolucioncliente_id = '$id' "; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}



	function validar_rel($catid,$marid,$docid){

		$sql="SELECT * FROM tb_compra c		

		inner join tb_compradetalle cd on cd.tb_compra_id = c.tb_compra_id

		WHERE cd.tb_catalogo_id = '$catid' and cd.tb_marca_id = '$marid' and c.tb_compra_id  = '$docid' ";

		

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}

	

	

	function complete_rel($dat){

		$sql="SELECT * FROM tb_compra c		

		inner join tb_puntoventa pv on pv.tb_puntoventa_id = v.tb_puntoventa_id

		inner join tb_empresa em on em.tb_empresa_id = pv.tb_empresa_id

        inner join tb_moneda m on c.tb_moneda_id = m.tb_moneda_id

		INNER JOIN tb_proveedor p ON c.tb_proveedor_id=p.tb_proveedor_id

		INNER JOIN tb_documento d ON c.tb_documento_id=d.tb_documento_id

		WHERE c.tb_compra_xac = '1' and c.tb_documento_id = 2 ";



		if($dat!="") $sql .=" and c.tb_compra_numdoc like '%$dat%' ";

		

		

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}

	

	function mostrar_filtro($fec1,$fec2,$punven_id,$cli_id){

		$sql="SELECT * FROM tb_devolucioncliente dc 

		left join tb_venta dmod on dmod.tb_venta_id = dc.tb_documentomod_id

		left join tb_documento d on d.tb_documento_id = dmod.tb_documento_id

		inner join tb_puntoventa pv on pv.tb_puntoventa_id = dmod.tb_puntoventa_id

		inner join tb_empresa em on em.tb_empresa_id = pv.tb_empresa_id

		left join tb_cliente cli on cli.tb_cliente_id = dmod.tb_cliente_id

		left join tb_moneda mon on mon.tb_moneda_id = dmod.tb_moneda_id

		WHERE dc.tb_devolucioncliente_xac = '1' AND dc.tb_devolucioncliente_fec BETWEEN '$fec1' AND '$fec2' ";

		

		if($punven_id!="") $sql .=" and pv.tb_puntoventa_id = '$punven_id' ";

		if($cli_id!="") $sql .=" and dmod.tb_cliente_id = '$cli_id' ";

		

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}

	

	function mostrar_filtro2($punven_id,$cli_id,$numdoc){

		$sql="SELECT * FROM tb_venta v 

		inner join tb_puntoventa pv on pv.tb_puntoventa_id = v.tb_puntoventa_id

		inner join tb_empresa em on em.tb_empresa_id = pv.tb_empresa_id

        inner join tb_moneda m on v.tb_moneda_id = m.tb_moneda_id

		INNER JOIN tb_cliente c ON v.tb_cliente_id=c.tb_cliente_id

		INNER JOIN tb_documento d ON v.tb_documento_id=d.tb_documento_id

		WHERE v.tb_venta_xac = '1' ";



		if($punven_id!="") $sql .=" and pv.tb_puntoventa_id = '$punven_id' ";

		if($cli_id!="") $sql .=" and v.tb_cliente_id = '$cli_id' ";

		if($numdoc!="") $sql .=" and v.tb_venta_numdoc like '%$numdoc%' ";

		

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}

	



	function validardevolucion_detalles($idm,$catid,$marid){

		$sql="select * from tb_kardex k

		inner join tb_kardexdetalle kd on k.tb_kardex_id = kd.tb_kardex_id

		where k.tb_documento_id = '$idm' and kd.tb_kardexdetalle_tip = '1'

		and kd.tb_catalogo_id= '$catid' and kd.tb_marca_id = '$marid' ";

		

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}

	



	function ver_itemsdevueltos_x_venta($venid,$catid,$marid){

		$sql="SELECT * FROM tb_devolucionclientedetalle dcd 

		inner join tb_devolucioncliente dc on dc.tb_devolucioncliente_id = dcd.tb_devolucioncliente_id

		where dc.tb_documentomod_id	 = '$venid' and dcd.tb_catalogo_id = '$catid' and dcd.tb_marca_id = '$marid' ";

		

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}

	

}

?>